Any reason to stay on 5.3.2 or 5.4 anymore?

Discussion in 'Wii U - Hacking & Backup Loaders' started by kardus, Sep 19, 2016.

  1. kardus
    OP

    kardus Advanced Member

    Newcomer
    96
    12
    Jan 17, 2015
    Canada
    It's been a while since I've looked into Wii U stuff and currently on 5.4 spoofing 5.5.1. Is there any reason not to be on legit 5.5.1 now, as it seems all the tools work on each version?

    Also, what is the process for updating from spoofed 5.5.1 to 5.5.1?
     
  2. Kafluke

    Kafluke GBAtemp Psycho!

    Member
    3,692
    1,821
    May 6, 2006
    United States
    No reason not to update. Unblock and update through normal wifi. Then block again so you won't get any newer updates that N might release in the future
     
  3. kardus
    OP

    kardus Advanced Member

    Newcomer
    96
    12
    Jan 17, 2015
    Canada
    Thanks. Is there currently any way to dump the Wii U nand with software alone?
     
  4. Subtle Demise

    Subtle Demise h

    Member
    1,377
    1,424
    Sep 17, 2009
    United States
    Not currently, kernel doesn't provide sufficient access.
     
    zeldaism and Coc4tm like this.
  5. digipimp75

    digipimp75 GBAtemp Regular

    Member
    298
    133
    Jan 16, 2014
    United States
    I'm curious about this as well (currently on 5.3.2 spoofed to 5.5.1). Are there any known issues when updating to legit 5.5.1 for spoofed machines?
     
  6. Kafluke

    Kafluke GBAtemp Psycho!

    Member
    3,692
    1,821
    May 6, 2006
    United States
    The only risk is that somehow Nintendo releases a patch in the exact moment that you choose to unblock and update. Not a very likely scenario.
     
    TotalInsanity4 likes this.
  7. lordpsycho

    lordpsycho Newbie

    Newcomer
    6
    2
    Oct 9, 2014
    Peru
    Not really, the update overwrites the spoof, so it works just fine. Also everything that runs on 5.3.2 should work in 5.5.1 (tried loadiine and sdcafiine without problems)
     
  8. osaka35

    osaka35 Instrucional Designer

    Member
    1,732
    1,226
    Nov 20, 2009
    United States
    Silent Hill
    From the stickied "definitive guide to Wii U hacking"
    https://gbatemp.net/threads/the-definitive-guide-to-wii-u-hacking.396828/

    "You should only update to the lowest compatibility FW that the Homebrew Launcher currently has. This is so that you can use the hacks supported by the Homebrew Launcher, but you also have a higher chance of being able to use an IOSU exploit if one is found/released.

    If you're under 3.0.0, update to 3.0.0.
    If you're on 3.0.0, stay there.
    If you're on 3.0.1, update to 3.1.0.
    If you're on 3.1.0, stay there.
    If you're on 4.0.0, stay there.
    If you're between 4.0.0 and 4.1.0, update to 4.1.0.
    If you're on 4.1.0, stay there.
    If you're on 5.0.0, stay there.
    If you're on 5.1.0, stay there.
    If you're between 5.1.0 and 5.3.2, update to 5.3.2.
    If you're on 5.3.2, stay there.
    If you're on 5.4.0, stay there.
    If you're on 5.5.0, update to 5.5.1.
    If you're on 5.5.1, stay there."

    So if you don't care for an IOSU exploit, or there's a 5.5.1 only homebrew you want to use, then update. Otherwise, stay where you are.
     
    Last edited by osaka35, Sep 19, 2016
  9. SomeGamer

    SomeGamer GBAtemp Guru

    Member
    5,755
    2,712
    Dec 19, 2014
    Hungary
    Note, you can just update.
     
  10. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    22,048
    10,356
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    Provided Wii U hacking will ever reach that vantage point in the first place :ph34r:

    Didn't know IOSU hack was even going to be released or worked on, but many Wii U devs including NWPlayer123 are on 5.5.1 and suggested there was no real loss to being on said firmware, so, IDK *shrug*
     
    Last edited by the_randomizer, Sep 19, 2016
    Subtle Demise likes this.
  11. Kafluke

    Kafluke GBAtemp Psycho!

    Member
    3,692
    1,821
    May 6, 2006
    United States
    Love that guide but it's a bit outdated. It's been discussed at length on here in multiple threads over the past several months. There is no reason not to update to 5.5.1 any more. Those working on the IOSU exploit have suggested that everybody update to 5.5.1. All current exploits and homebrew are working on 5.5.1 and you get the added benefit of playing legit games online with disc or eshop version.
     
  12. sj33

    sj33 GBAtemp Addict

    Member
    2,713
    1,717
    Oct 22, 2013
    Japan
    We really need a way to write 'IT'S OKAY TO UPDATE TO 5.5.1' in big sparkly flashing letters at the top of the forum, just to emphasise the point,

    Yes, you can update, No, you won't lose anything.
     
  13. osaka35

    osaka35 Instrucional Designer

    Member
    1,732
    1,226
    Nov 20, 2009
    United States
    Silent Hill
    That's lovely, all the pinned post are outdated, and all the current information is sprinkled throughout random threads. That's what I get for not checking the Wii U homebrew section daily I guess.
     
  14. sj33

    sj33 GBAtemp Addict

    Member
    2,713
    1,717
    Oct 22, 2013
    Japan
    I wasn't being sarcastic to you - I really do think we need to make it perfectly clear to people as it is by far the most frequently asked question, and with good reason. I was more generally musing about the misinformation that gets spread around - mostly thanks to the outdated threads, as you say.
     
  15. osaka35

    osaka35 Instrucional Designer

    Member
    1,732
    1,226
    Nov 20, 2009
    United States
    Silent Hill
    Sorry, I was just frustrated. old information is normal for this forum, but it's annoying when it's a pinned post. You'd think at least those would be updated to reflect current news.

    Personally, I think all post should have a "last updated" at the top of the Original Poster's post, rather than a tiny, faint thing at the bottom of the post. Or something, at least. That particular pinned post hasn't been updated since july (just checked).
     
    Last edited by osaka35, Sep 19, 2016 - Reason: also sept 7th....2015
  16. Kafluke

    Kafluke GBAtemp Psycho!

    Member
    3,692
    1,821
    May 6, 2006
    United States
    Your concerns are very valid. I have one thread stickied and I try my best to keep it updated but all the most recent information is either buried in the threads or sprinkled throughout the sticky that relates to the subject. I think the best guide writers are waiting for something big to surface before re-doing the "ultimate" guides. Once IOSU exploit comes out pretty much all the stickies will be pointless at that point.
     
  17. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    22,048
    10,356
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    You mean "if" it comes out, right? Do we actually have confirmation on whether or not there will be an IOUS exploit? I keep hearing yes, and no, and nothing else but uncertainty, Matthew_wi deleting his Twitter, other hackers going silent, I don't even know if there will ever be an exploit. That's my take on it anyway :unsure:
     
  18. replicashooter

    replicashooter GBAtemp Advanced Fan

    Member
    533
    248
    Jun 16, 2006
    If does seem more accurate given the fracas and hoopla the WiiU scene tends to bring along with it. In between the tweets and exploit site saying "Upgrade now" and rampant speculation with next to no confirmation it does seem to be all a bit up in the air.

    Shame though as the Wii U with its power and overall style could be the ultimate one box emulation solution for the living room, thus breathing new life into the console.

    Maybe they are planning on releasing it when the NX drops out of some courtesy to Nintendo, which makes no sense as the piracy bit is already working for those so inclined. That parts of no interest to me as I only play one game at a time anyway, the emulators however would be a most welcome addition, esp being able to play them off screen - so cool.
     
  19. Garou

    Garou GBAtemp Advanced Fan

    Member
    545
    165
    Jan 13, 2015
    I think the answers for these kind of questions should be assuming that IOSU exploit will never come out, and only say yes if you still think it's still okay to update (which I think it is based on responses from devs)
    Some people still reluctant to update because they think they need to lose something by updating to 5.5.1 only to have the may or may not be released IOSU exploit. me personally still on 5.3.2 though simply because I haven't turn on the Wii U for months and not really care to update :D
     
    Last edited by Garou, Sep 20, 2016